<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8" />
  </startup>
  <!--连接字符串-->
  <connectionStrings>
    <!--<add name="DbConnStr" connectionString="Data Source=192.168.1.236;Initial Catalog=MWSDb;User Id=sa;Password=!23Qwe;Connect Timeout=3" providerName="System.Data.SqlClient" />-->
    <!--<add name="DbConnStr" connectionString="Data Source=.;Initial Catalog=MWSDb_HB;User Id=sa;Password=!23Qwe;" providerName="System.Data.SqlClient" />-->
    <!--<add name="DbConnStr" connectionString="Data Source=.;Initial Catalog=MWSDB_DL;User Id=sa;Password=!23Qwe;" providerName="System.Data.SqlClient" />-->
    <!--<add name="DbConnStr" connectionString="Data Source=.;Initial Catalog=MWSDB_DL;User Id=sa;Password=!23Qwe;" providerName="System.Data.SqlClient" />-->
    <add name="DbConnStr" connectionString="server=127.0.0.1;port=3306;database=gcas_new;user=root;password=!23Qwe;charset=utf8" />
  </connectionStrings>
  <appSettings>
    <!--Redis地址-->
    <add key="RedisAddress" value="127.0.0.1" />
    <add key="RedisPort" value="6379" />
    <add key="RedisTagDb" value="1" />
    <add key="MqttPort" value="1883" />
    <add key="RunningTime" value="0.2" />
    <!--开机自启-->
    <add key="AutoStart" value="True" /> 
    <!--垃圾池长宽高配置-->
    <add key="webApiHostPort" value="8088" />
    <!--modbustcp从站端口-->
    <!--开启modbus从站，1开启，0不开启-->
    <add key="openModbusServer" value="1" />
    <add key="modbusServerPort" value="508" />
    <!--Rtu配置-->
    <add key="slave" value="4"/>
    <add key="portName" value="COM3"/>
    <add key="baudRate" value="9600"/>
    <add key="dataBits" value="8"/>
    <add key="stopBits" value="1"/>
    <add key="parity" value="None"/>
  </appSettings>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Numerics.Vectors" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.4.0" newVersion="4.1.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Memory" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.1" newVersion="4.0.1.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks.Extensions" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.1" newVersion="4.2.0.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="MaterialDesignColors" publicKeyToken="df2a72020bd7962a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.0.0.2422" newVersion="2.0.0.2422" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-12.0.0.0" newVersion="12.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Owin" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.2.0" newVersion="4.2.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Cors" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.0.0" newVersion="5.2.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>